Bug 21158 - Add cronjob references to the system preference descriptions if a cronjob is required
Summary: Add cronjob references to the system preference descriptions if a cronjob is ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-03 18:18 UTC by Caroline Cyr La Rose
Modified: 2018-11-28 14:35 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required (21.78 KB, patch)
2018-08-03 20:06 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required (21.79 KB, patch)
2018-10-19 19:11 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required (21.89 KB, patch)
2018-10-30 01:58 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required (22.05 KB, patch)
2018-11-01 12:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12258: (QA follow-up) Add some missing rrrrrrs (15.83 KB, patch)
2018-11-01 12:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-08-03 18:18:15 UTC
Add a reference in the system preference description saying this syspref requires a cronjob in order to work properly. Something like "Note: This system preference requires the misc/cronjobs/blah-blah.pl. Ask you system administrator to schedule it."

The following system preferences require cronjobs. The starred sysprefs already have a reference to their cronjob, but it would be nice to standardize the message.
 
- StaticHoldsQueueWeight: misc/cronjobs/holds/build_holds_queue.pl
- ExpireReservesMaxPickUpDelay: misc/cronjobs/holds/cancel_expired_holds.pl
- AutoResumeSuspendedHolds: misc/cronjobs/holds/auto_unsuspend_holds.pl
- * finesMode: misc/cronjobs/fines.pl
- DefaultLongOverdueLostValue: misc/cronjobs/longoverdue.pl
- DefaultLongOverdueChargeValue: misc/cronjobs/longoverdue.pl
- PatronSelfRegistrationExpireTemporaryAccountsDelay: misc/cronjobs/delete_expired_opac_registrations.pl
- PatronSelfRegistrationVerifyByEmail: misc/cronjobs/delete_unverified_opac_registrations.pl
- EnhancedMessagingPreferences: misc/cronjobs/process_message_queue.pl & misc/cronjobs/advance_notices.pl
- NewItemsDefaultLocation: misc/cronjobs/cart_to_shelf.pl
- InProcessingToShelvingCart: misc/cronjobs/cart_to_shelf.pl
- ReturnToShelvingCart: misc/cronjobs/cart_to_shelf.pl
- * AuthorityMergeLimit: misc/migration_tools/merge_authority.pl
- * OpacBrowser: misc/cronjobs/build_browser_and_cloud.pl
- * OpacCloud: misc/cronjobs/build_browser_and_cloud.pl
- * UsageStats: share_usage_with_koha_community.pl
- * PurgeSuggestionsOlderThan: misc/cronjobs/purge_suggestions.pl
- MembershipExpiryDaysNotice: misc/cronjobs/membership_expiry.pl
Comment 1 Caroline Cyr La Rose 2018-08-03 20:06:12 UTC
Created attachment 77484 [details] [review]
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required

This patch adds references to cronjobs in the description of some system preferences.

The following system preference description were modified:
- StaticHoldsQueueWeight
- ExpireReservesMaxPickUpDelay
- AutoResumeSuspendedHolds
- finesMode
- DefaultLongOverdueLostValue
- DefaultLongOverdueChargeValue
- PatronSelfRegistrationExpireTemporaryAccountsDelay
- PatronSelfRegistrationVerifyByEmail
- EnhancedMessagingPreferences
- NewItemsDefaultLocation
- InProcessingToShelvingCart
- ReturnToShelvingCart
- ReturnToShelvingCart
- AuthorityMergeLimit
- OpacBrowser
- OpacCloud
- UsageStats
- PurgeSuggestionsOlderThan
- MembershipExpiryDaysNotice

To test, check the above mentioned system preferences to make sure the sentence is there and it is correct.
Comment 2 Dilan Johnpullé 2018-09-19 04:51:36 UTC
Ran into issue trying to apply:

vagrant@kohadevbox:kohaclone(master)$ git bz apply -s 21158
Bug 21158 - Add cronjob references to the system preference descriptions if a cronjob is required

77484 - Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required
/home/vagrant/kohaclone/.git/rebase-apply/patch:184: trailing whitespace.
            - "<br><strong>NOTE:</strong> This system preference requires the <code>misc/cronjobs/holds/build_holds_queue.pl</code> cronjob. Ask you system administrator to schedule it."   
warning: 1 line adds whitespace errors.
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
<stdin>:184: trailing whitespace.
            - "<br><strong>NOTE:</strong> This system preference requires the <code>misc/cronjobs/holds/build_holds_queue.pl</code> cronjob. Ask you system administrator to schedule it."   
warning: 1 line applied after fixing whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref
Failed to merge in the changes.
Patch failed at 0001 Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-21158-Add-cronjob-references-to-the-system-pre-0j9bCi.patch
Comment 3 Caroline Cyr La Rose 2018-10-19 19:11:21 UTC
Created attachment 80953 [details] [review]
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required

This patch adds references to cronjobs in the description of some system preferences.

The following system preference description were modified:
- StaticHoldsQueueWeight
- ExpireReservesMaxPickUpDelay
- AutoResumeSuspendedHolds
- finesMode
- DefaultLongOverdueLostValue
- DefaultLongOverdueChargeValue
- PatronSelfRegistrationExpireTemporaryAccountsDelay
- PatronSelfRegistrationVerifyByEmail
- EnhancedMessagingPreferences
- NewItemsDefaultLocation
- InProcessingToShelvingCart
- ReturnToShelvingCart
- ReturnToShelvingCart
- AuthorityMergeLimit
- OpacBrowser
- OpacCloud
- UsageStats
- PurgeSuggestionsOlderThan
- MembershipExpiryDaysNotice

To test, check the above mentioned system preferences to make sure the sentence is there and it is correct.
Comment 4 Alex Buckley 2018-10-30 01:58:47 UTC
Created attachment 81608 [details] [review]
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required

This patch adds references to cronjobs in the description of some system preferences.

The following system preference description were modified:
- StaticHoldsQueueWeight
- ExpireReservesMaxPickUpDelay
- AutoResumeSuspendedHolds
- finesMode
- DefaultLongOverdueLostValue
- DefaultLongOverdueChargeValue
- PatronSelfRegistrationExpireTemporaryAccountsDelay
- PatronSelfRegistrationVerifyByEmail
- EnhancedMessagingPreferences
- NewItemsDefaultLocation
- InProcessingToShelvingCart
- ReturnToShelvingCart
- ReturnToShelvingCart
- AuthorityMergeLimit
- OpacBrowser
- OpacCloud
- UsageStats
- PurgeSuggestionsOlderThan
- MembershipExpiryDaysNotice

To test, check the above mentioned system preferences to make sure the sentence is there and it is correct.

Followed test plan and patch is as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 5 Katrin Fischer 2018-11-01 12:19:19 UTC
Created attachment 81795 [details] [review]
Bug 21158: Add cronjob references to the system preference descriptions if a cronjob is required

This patch adds references to cronjobs in the description of some system preferences.

The following system preference description were modified:
- StaticHoldsQueueWeight
- ExpireReservesMaxPickUpDelay
- AutoResumeSuspendedHolds
- finesMode
- DefaultLongOverdueLostValue
- DefaultLongOverdueChargeValue
- PatronSelfRegistrationExpireTemporaryAccountsDelay
- PatronSelfRegistrationVerifyByEmail
- EnhancedMessagingPreferences
- NewItemsDefaultLocation
- InProcessingToShelvingCart
- ReturnToShelvingCart
- ReturnToShelvingCart
- AuthorityMergeLimit
- OpacBrowser
- OpacCloud
- UsageStats
- PurgeSuggestionsOlderThan
- MembershipExpiryDaysNotice

To test, check the above mentioned system preferences to make sure the sentence is there and it is correct.

Followed test plan and patch is as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=12258
Comment 6 Katrin Fischer 2018-11-01 12:19:23 UTC
Created attachment 81796 [details] [review]
Bug 12258: (QA follow-up) Add some missing rrrrrrs

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Nick Clemens 2018-11-08 02:26:57 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-11-16 13:13:34 UTC
Pushed to 18.05.x for 18.05.06... It's never a bad thing to be a little bit clearer.
Comment 9 Fridolin SOMERS 2018-11-28 14:33:32 UTC
I prefer not to push to 17.11.x to avoid translation work
Comment 10 Fridolin SOMERS 2018-11-28 14:35:15 UTC
(In reply to Katrin Fischer from comment #6)
> Created attachment 81796 [details] [review] [review]
> Bug 12258: (QA follow-up) Add some missing rrrrrrs
> 
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Oups commit message is with wrong bug number 12258 instead of 21158.